Package ru.yandex.clickhouse

## Interface ResponseFactory<T>

Type Parameters:
  `T` - type of response

All Known Implementing Classes:
  `ClickHouseResponseFactory`

    public interface ResponseFactory<T>

Interface for consuming content from server response and

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `create​(InputStream response)`

### Method Detail

#### create

    T create​(InputStream response)
      throws IOException

Throws:
  `IOException`